org.eclipse.zest.layouts

## Interface LayoutGraph

    public interface LayoutGraph

The LayoutGraph interface defines the methods used to add nodes and edges (relationships).

### Method Summary

Methods
`void` `addEntity(LayoutEntity node)` Adds a node to this graph.
`void` `addRelationship(LayoutRelationship relationship)` Adds the given relationship.
`java.util.List` `getEntities()` Returns a list of LayoutEntity objects that represent the objects added to this graph using addNode.
`java.util.List` `getRelationships()` Returns a list of LayoutRelationship objects that represent the objects added to this graph using addRelationship.
`boolean` `isBidirectional()` Determines if the graph is bidirectional.

### Method Detail

#### addEntity

    void addEntity(LayoutEntity node)

Adds a node to this graph.

Parameters:
  `node` - The new node.

#### addRelationship

    void addRelationship(LayoutRelationship relationship)

Adds the given relationship.

Parameters:
  `relationship` -

#### getEntities

    java.util.List getEntities()

Returns a list of LayoutEntity objects that represent the objects added to this graph using addNode.

Returns:
  List A List of LayoutEntity objects.

#### getRelationships

    java.util.List getRelationships()

Returns a list of LayoutRelationship objects that represent the objects added to this graph using addRelationship.

Returns:
  List A List of LayoutRelationship objects.

#### isBidirectional

    boolean isBidirectional()

Determines if the graph is bidirectional.

Returns:
  boolean If the graph is bidirectional.